﻿using Microsoft.AspNetCore.Mvc;

namespace HttpClientFactoryAlterHeadersDynamically.Controllers
{
    [Produces("application/json")]
    [Route("api/[controller]")]
    public class InventoryController : Controller
    {
        [HttpGet("{id}")]
        public IActionResult Get(int id)
        {
            var token = Request.Headers["Token"];
            return Ok($"Token received in Request Header: {token}");
        }
    }
}
