﻿using Microsoft.AspNetCore;
using Microsoft.AspNetCore.Hosting;
using Microsoft.Extensions.DependencyInjection;

namespace HttpClientFactoryAlterHeadersDynamically
{
    public class Program
    {
        public static void Main(string[] args)
        {
            CreateWebHostBuilder(args).Build().Run();
        }

        public static IWebHostBuilder CreateWebHostBuilder(string[] args) =>
            WebHost.CreateDefaultBuilder(args)
            .ConfigureServices(cs => cs.AddMemoryCache())
            .ConfigureServices(cs => cs.AddSingleton<ITokenGenerator, TokenGenerator>())
                .UseStartup<Startup>();
    }
}


 